<html>
     <head>
         <title>Order Thing | AR Store</title>
                 <link rel="stylesheet" href="styles.css">
        <!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">

<!-- jQuery library -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>

<!-- Popper JS -->
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>

<!-- Latest compiled JavaScript -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

<link href='https://fonts.googleapis.com/css?family=Sofia' rel='stylesheet'>
<script src="https://kit.fontawesome.com/3e2a93553e.js" crossorigin="anonymous"></script>
<script src="https://cdn01.jotfor.ms/static/prototype.forms.js?3.3.41080" type="text/javascript"></script>
<script src="https://cdn02.jotfor.ms/static/jotform.forms.js?3.3.41080" type="text/javascript"></script>
<script type="text/javascript">	JotForm.newDefaultTheme = true;
	JotForm.extendsNewTheme = false;
	JotForm.singleProduct = false;
	JotForm.newPaymentUIForNewCreatedForms = true;
	JotForm.newPaymentUI = true;
	JotForm.clearFieldOnHide="disable";
	JotForm.submitError="jumpToFirstError";

	JotForm.init(function(){
	/*INIT-START*/
if (window.JotForm && JotForm.accessible) $('input_3').setAttribute('tabindex',0);
if (window.JotForm && JotForm.accessible) $('input_4').setAttribute('tabindex',0);
if (window.JotForm && JotForm.accessible) $('input_5').setAttribute('tabindex',0);
      JotForm.alterTexts(undefined);
	/*INIT-END*/
	});

   JotForm.prepareCalculationsOnTheFly([null,{"name":"heading","qid":"1","text":"Form","type":"control_head"},{"name":"submit2","qid":"2","text":"Submit","type":"control_button"},{"description":"","name":"name","qid":"3","subLabel":"","text":"Name","type":"control_textbox"},{"description":"","name":"priceDue","qid":"4","subLabel":"","text":"Price Due","type":"control_textbox"},{"description":"","name":"items","qid":"5","subLabel":"","text":"Items","type":"control_textbox"}]);
   setTimeout(function() {
JotForm.paymentExtrasOnTheFly([null,{"name":"heading","qid":"1","text":"Form","type":"control_head"},{"name":"submit2","qid":"2","text":"Submit","type":"control_button"},{"description":"","name":"name","qid":"3","subLabel":"","text":"Name","type":"control_textbox"},{"description":"","name":"priceDue","qid":"4","subLabel":"","text":"Price Due","type":"control_textbox"},{"description":"","name":"items","qid":"5","subLabel":"","text":"Items","type":"control_textbox"}]);}, 20); 
</script>
<style type="text/css">@media print{.form-section{display:inline!important}.form-pagebreak{display:none!important}.form-section-closed{height:auto!important}.page-section{position:initial!important}}</style>
<link type="text/css" rel="stylesheet" href="https://cdn01.jotfor.ms/themes/CSS/5e6b428acc8c4e222d1beb91.css?v=3.3.41080"/>
<link type="text/css" rel="stylesheet" href="https://cdn02.jotfor.ms/css/styles/payment/payment_styles.css?3.3.41080" />
<link type="text/css" rel="stylesheet" href="https://cdn03.jotfor.ms/css/styles/payment/payment_feature.css?3.3.41080" />
<Style>
    .col{
    border: 2px solid black;
    }
    body{
    font-family:'Sofia';
    background-color:White;
    }
    .col{
    font-size:15pt;
    }
    </style>
         </head>
         <body>
           <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
   <a class="navbar-brand" href="#">
    <img src="/arstorelogo.GIF" alt="Logo" style="width:40px;">
  </a>
  <!-- Links -->
  <ul class="navbar-nav">
    <li class="nav-item ">
      <a class="nav-link" href="/index.html">AR Store</a>
    </li>
    <li class="nav-item active">
      <a class="nav-link" href="/order.html">Order</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="/about.html">About</a>
    </li>
  </ul>

</nav>
<h1><Center>Order Items</center></h1>
<h5><Center><i>Order items for your needs</i></center></h5>
<Div style="border:3px solid black;text-align:right;position:sticky;top:0;"><button type="button" class="btn btn-primary" data-toggle="modal" data-target="#cart">
<i class="fa-solid fa-cart-shopping fa-bounce"></i>View Cart
</button></div>
<div class="container">
    <div class='row'><div class="col"><img src="https://www.arcadesnacks.com/wp-content/uploads/jolly-ranchers.webp" width="100px" height="100px"><br>Jolly Rancher <Br>$0.25<br><h4>In stock</h4><input type="number" id="qtyjr" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Jolly Rancher',0.25, document.getElementById('qtyjr').value*1 )"">Add To Cart</button></div>
    
<div class="col"><img src="https://s7d2.scene7.com/is/image/hersheysassets/0_34000_00440_9_701_44000_136_Item_Front?fmt=png-alpha&hei=908" width="100px" height="100px"><br>Reeses<Br>$0.50<br><h4>In stock</h4><input type="number" id="qtyrs" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Resees',0.50, document.getElementById('qtyrs').value*1 )"">Add To Cart</button></div>
   </div>

      <div class='row'><div class="col"><img src="https://m.media-amazon.com/images/I/41X1BzvlkRL.jpg" width="100px" height="100px"><br>M and Ms<Br> $1.50 | <strike>$2.00</strike><br><h4>Out of stock</h4><input type="number" id="qtymm" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('M and Ms',1.50, document.getElementById('qtymm').value*1 )"">Add To Cart</button></div>
    
<div class="col"><img src="https://cdn.shopify.com/s/files/1/0972/7116/products/Hershey_s_Milk_Chocolate_Kisses_600x.jpg?v=1576258899" width="100px" height="100px"><br>Hershey Kisses<Br>$0.15<br><h4>In stock</h4><input type="number" id="qtyhk" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Hershey Kisses',0.15, document.getElementById('qtyhk').value*1 )"">Add To Cart</button></div>
   <div class="col"><img src="https://target.scene7.com/is/image/Target/GUEST_76fb083e-1ec0-40af-975b-208a550639da?wid=488&hei=488&fmt=pjpeg" width="100px" height="100px"><br>Starbust<Br>$0.10<br><h4>In stock</h4><input type="number" id="qtysb" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Starbust',0.10, document.getElementById('qtysb').value*1 )"">Add To Cart</button></div>
   
   </div>

       <div class='row'><div class="col"><img src="https://m.media-amazon.com/images/I/91IT4i1CafL.jpg" width="100px" height="100px"><br>Air Heads<Br>$0.50<br><h4>In stock</h4><input type="number" id="qtysour" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Air Heads',0.50, document.getElementById('qtysour').value*1 )"">Add To Cart</button></div>
    
    
    <div class="col"><img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTyGEMBgVftSI79R1WJ9iuag04UMEhK7swvt8MVczyOsA&s" width="100px" height="100px"><br>Extra Watermelon<Br>$0.20 |<strike>0.50</strike>Out of stock<br><h4></h4><input  type="number" id="qtypcl" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Extra Watermelon',0.20, document.getElementById('qtypcl').value*1 )"">Add To Cart</button></div>

   </div>
   <Div class="row">
         <div class="col"><img src="https://cdn.shopify.com/s/files/1/0551/6060/2784/products/OG_576a5394-ba6b-4096-a4ff-e24d85533a36.png?v=1655230241" width="100px" height="100px"><br>Mr.B's Chocolate Bar<Br>$1.50 |<strike>1.75</strike>Out of Stock<br><h4></h4><input  type="number" id="qtycb" value="1"><br><button type="btn" class='btn btn-primary' onclick="add('Chocolate Bar',1.50, document.getElementById('qtycb').value*1 )"">Add To Cart</button></div>
     </div>

   
   <div class="jumbotron" style="text-align:center;">
     <h3>Discounts:</h3>
     <h4>Get 25% off. </h4>
     <h5>On orders over $10</h5>
     
     </div>

    </div>

    <!-- Button to Open the Modal -->


<!-- The Modal -->
<div class="modal" id="cart">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">View Cart</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <Table class="table">
          <thead>
            <tr>
              <th>Item</th>
              <th>Qty</th>
              <th>Price</td>
              </tr>
            </thead>
            <tbody id="cartlist">

              </tbody>
<tfoot>
<tr><Td><b>Total</b></td><td>$</td><td id="totalprice">0.00</td></tr>
</tfoot>
          </table>
          <button type="btn" class="btn btn-success" onclick="nextdisc()">NEXT</button>
          <Div id="finalcheckout" style="Display:none">
        <form class="jotform-form" action="https://submit.jotform.com/submit/231036518707050" method="post" name="form_231036518707050" id="231036518707050" accept-charset="utf-8" autocomplete="on"><input type="hidden" name="formID" value="231036518707050" /><input type="hidden" id="JWTContainer" value="" /><input type="hidden" id="cardinalOrderNumber" value="" />
  <div role="main" class="form-all">
    <ul class="form-section page-section">
      <li id="cid_1" class="form-input-wide" data-type="control_head">
        <div class="form-header-group  header-large">
          <div class="header-text httal htvam">
            <h1 id="header_1" class="form-header" data-component="header">Checkout</h1>
          </div>
        </div>
      </li>
      <li class="form-line" data-type="control_textbox" id="id_3"><label class="form-label form-label-top form-label-auto" id="label_3" for="input_3"> Name </label>
        <div id="cid_3" class="form-input-wide" data-layout="half"> <input type="text" id="input_3" name="q3_name" data-type="input-textbox" class="form-textbox" data-defaultvalue="" style="width:310px" size="310" value="" data-component="textbox" aria-labelledby="label_3" /> </div>
      </li>
      <li class="form-line" style="display:none" data-type="control_textbox" id="id_4"><label class="form-label form-label-top form-label-auto" id="label_4" for="input_4"> Price Due </label>
        <div id="cid_4" class="form-input-wide" data-layout="half"> <input type="text" id="pricedue" name="q4_priceDue" data-type="input-textbox" class="form-textbox" data-defaultvalue="" style="width:310px" size="310" value="" data-component="textbox" aria-labelledby="label_4" /> </div>
      </li>
      <li class="form-line" style="display:none" data-type="control_textbox" id="id_5"><label class="form-label form-label-top form-label-auto" id="label_5" for="input_5"> Items </label>
        <div id="cid_5" class="form-input-wide" data-layout="half"> <input type="text" id="items" name="q5_items" data-type="input-textbox" class="form-textbox" data-defaultvalue="" style="width:310px" size="310" value="" data-component="textbox" aria-labelledby="label_5" /> </div>
      </li>
      <li class="form-line" data-type="control_button" id="id_2">
        <div id="cid_2" class="form-input-wide" data-layout="full">
          <div data-align="auto" class="form-buttons-wrapper form-buttons-auto   jsTest-button-wrapperField"><button id="input_2" type="submit" class="form-submit-button submit-button jf-form-buttons jsTest-submitField" data-component="button" data-content="">Finish Order</button></div>
        </div>
      </li>
      <li style="display:none">Should be Empty: <input type="text" name="website" value="" /></li>
    </ul>
  </div>
  <script>
    JotForm.showJotFormPowered = "new_footer";
  </script>
  <script>
    JotForm.poweredByText = "Powered by Jotform";
  </script><input type="hidden" class="simple_spc" id="simple_spc" name="simple_spc" value="231036518707050" />
  <script type="text/javascript">
    var all_spc = document.querySelectorAll("form[id='231036518707050'] .si" + "mple" + "_spc");
    for (var i = 0; i < all_spc.length; i++)
    {
      all_spc[i].value = "231036518707050-231036518707050";
    }
  </script>
  
</form>
</div>
<script type="text/javascript">JotForm.ownerView=true;</script><script src="https://cdn.jotfor.ms//js/vendor/smoothscroll.min.js?v=3.3.41080"></script>
<script src="https://cdn.jotfor.ms//js/errorNavigation.js?v=3.3.41080"></script>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
<p id="recordstouse"></p>
    <Script>
      function add(itm,prc,qty){
var row = document.createElement('tr');
var item = document.createElement('td');
item.innerHTML = itm;
row.appendChild(item);
var quantity = document.createElement('td');
quantity.innerHTML = qty;
row.appendChild(quantity)
var price = document.createElement('td');
//Math.round((0.44999999999999996 + Number.EPSILON) * 100) / 100
var actualprrc = prc*qty;;
var roundedprice = Math.round((actualprrc + Number.EPSILON) * 100) / 100;
price.innerHTML = roundedprice ;
row.appendChild(price);
document.getElementById('cartlist').appendChild(row)
document.getElementById('totalprice').innerHTML = document.getElementById('totalprice').innerHTML*1 + roundedprice;
document.getElementById('recordstouse').innerHTML = document.getElementById('recordstouse').innerHTML + " ,"+itm+"*"+qty;
document.getElementById('items').value = document.getElementById('recordstouse').innerHTML;
document.getElementById('pricedue').value = document.getElementById('totalprice').innerHTML;
      }
      function nextdisc(){
        document.getElementById('finalcheckout').style.display = "block";
        if(document.getElementById('totalprice').innerHTML*1 >10){
          var row = document.createElement('tr');
          var td= document.createElement('td');
          td.innerHTML = "Discount - 25% off";
          row.appendChild(td);
          document.getElementById('cartlist').appendChild(row);
          var currentprice= document.getElementById('totalprice').innerHTML*1;
          var minusprice= currentprice*0.25
         document.getElementById('totalprice').innerHTML = "After Discount: " + (currentprice-minusprice);
         document.getElementById('pricedue').value = document.getElementById('totalprice').innerHTML;
        }
      }
      function remove(elmt){
        elmt.remove() 
      }
      </script>
             </body>
     </html> 
